#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int n,k,m=0,b=0;
    bool f=0;
    cin>>n>>k;
    int a[n],e=n-1;
    for(int i=0;i<n;i++){
        int x;
        cin>>x;
        a[i]=x;
    }
    for(int i=0;i<n-1;i++){
        if(abs(b-e)==1)
            f=1;
        if(a[e]>a[b]){
            if(f==0){
                a[b]=a[b]-a[e];
                e--;
            }
            else{
                a[b]=a[e]-a[b];
                e--;
            }
        }
        else if(a[e]<=a[b]){
            if(f==0){
               a[e]=a[e]-a[b];
                b++;
            }
            else{
                a[e]=a[b]-a[e];
                b++;
            }
        }
    }
    cout<<a[b];
}